< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package box
  Definition Classes
    ct
-  package computations
  Definition Classes
    ct
-  package ct600
  Definition Classes
    ct
-  package ct600a
  Definition Classes
    ct
-  package ct600e
  Definition Classes
    ct
-  package ct600j
  Definition Classes
    ct
-  package domain
  Definition Classes
    ct
-  package utils
  Definition Classes
    ct
-  package validation
  Definition Classes
    ct
-  package version
  Definition Classes
    ct
- AbbreviatedAccountsFiling
- AbridgedFiling
- CATO01
- CATO02
- CATO03
- CATO04
- CATO10
- CATO11
- CATO12
- CATO13
- CATO14
- CATO15
- CATO16
- CATO19
- CATO20
- CATO21
- CATO22
- CATO23
- CATO24
- CoHoAccountsApprovalRequired
- CompaniesHouseFiling
- CompaniesHouseSubmitted
- CountryOfRegistration
- FilingCompanyType
- HMRCAmendment
- HMRCFiling
- HMRCSubmitted
- HmrcAccountsApprovalRequired
- HmrcAccountsApprovalRequiredCalculator
- MicroEntityFiling
- RoundingFunctions
- StatutoryAccountsFiling
- UTR

o

uk.gov.hmrc.ct

# HmrcAccountsApprovalRequired 

###
Companion class HmrcAccountsApprovalRequired

#### object HmrcAccountsApprovalRequired extends Calculated[HmrcAccountsApprovalRequired, FilingAttributesBoxValueRetriever] with HmrcAccountsApprovalRequiredCalculator with Serializable

Linear Supertypes
Serializable, Serializable, HmrcAccountsApprovalRequiredCalculator, ReturnVersionsCalculator, Calculated[HmrcAccountsApprovalRequired, FilingAttributesBoxValueRetriever], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HmrcAccountsApprovalRequired
2. Serializable
3. Serializable
4. HmrcAccountsApprovalRequiredCalculator
5. ReturnVersionsCalculator
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(boxRetriever: FilingAttributesBoxValueRetriever): HmrcAccountsApprovalRequired
   Definition Classes
     HmrcAccountsApprovalRequired → Calculated
6.  def calculateApprovalRequired(boxRetriever: FilingAttributesBoxValueRetriever): HmrcAccountsApprovalRequired
   Definition Classes
     HmrcAccountsApprovalRequiredCalculator
7.  def calculateReturnVersions(poaStartDate: LocalDate, apStartDate: Option[LocalDate], apEndDate: Option[LocalDate], coHoFiling: CompaniesHouseFiling, hmrcFiling: HMRCFiling, microEntityFiling: MicroEntityFiling, statutoryAccountsFiling: StatutoryAccountsFiling, abridgedFiling: AbridgedFiling, abbreviatedAccountsFiling: AbbreviatedAccountsFiling, companyType: FilingCompanyType, charityAllExempt: Option[Boolean], charityNoIncome: Option[Boolean]): Set[Return]
   Attributes
     protected
   Definition Classes
     ReturnVersionsCalculator
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  def doCalculation[A <: BoxRetriever](boxRetriever: A): Set[Return]
   Definition Classes
     ReturnVersionsCalculator
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from HmrcAccountsApprovalRequiredCalculator

### Inherited from ReturnVersionsCalculator

### Inherited from Calculated[HmrcAccountsApprovalRequired, FilingAttributesBoxValueRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped